Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.widget
Class OWLDateWidgetMetadata

    java.lang.Object
      edu.stanford.smi.protegex.owl.ui.widget.OWLDateWidgetMetadata

All Implemented Interfaces:
  OWLWidgetMetadata

    public class OWLDateWidgetMetadata

extends Object
implements OWLWidgetMetadata

Author:
  Holger Knublauch

Field Summary

Fields inherited from interface edu.stanford.smi.protegex.owl.ui.widget.OWLWidgetMetadata
`DEFAULT, NOT_SUITABLE, SUITABLE`

Constructor Summary
`OWLDateWidgetMetadata()`

Method Summary
`int` | `getSuitability(RDFSNamedClass cls, RDFProperty property)` Gets the suitability index of a widget for a given class/property pair.
`boolean` | `isPreferredWidget(RDFSNamedClass cls, RDFProperty property)`
`boolean` | `isSuitableWidget(RDFSNamedClass cls, RDFProperty property)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OWLDateWidgetMetadata

    public OWLDateWidgetMetadata()

Method Detail

### getSuitability

    public int getSuitability(RDFSNamedClass cls,
                              RDFProperty property)

  Description copied from interface: `OWLWidgetMetadata`

  Gets the suitability index of a widget for a given class/property pair. The suitability indicates whether a widget shall be selected as default widget on a form, or whether it shall be listed as one of the options in the form configuration component.

  The system widgets of Protege-OWL all return one of the predefined constants `NOT_SUITABLE`, `SUITABLE` or `DEFAULT`. Custom widget classes can also return the same constants, or they can return higher values to override the current default. For example, returning `DEFAULT + 1` will make sure that the widget will have higher preferences than any of the system widgets.

  Specified by:
    `getSuitability` in interface `OWLWidgetMetadata`
  Parameters:
    `cls` - the named class of the form
    `property` - the property to get the suitability for
  Returns:
    an index >= 0

### isPreferredWidget

    public boolean isPreferredWidget(RDFSNamedClass cls,
                                     RDFProperty property)

### isSuitableWidget

    public boolean isSuitableWidget(RDFSNamedClass cls,
                                    RDFProperty property)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.